com.thinkaurelius.titan.core

## Interface TitanEdge

- All Superinterfaces:
    com.tinkerpop.blueprints.Edge, com.tinkerpop.blueprints.Element, Idfiable, Removable, TitanElement, TitanRelation
  All Known Implementing Classes:
    AbstractEdge, CacheEdge, StandardEdge

      public interface TitanEdge
      extends TitanRelation, com.tinkerpop.blueprints.Edge

  A TitanEdge connects two `TitanVertex`. It extends the functionality provided by Blueprint's `Edge` and is a special case of a `TitanRelation`.
  Author:
    Matthias Bröcheler (http://www.matthiasb.com)
  See Also:
    `Edge`, `TitanRelation`, `EdgeLabel`

- - ### Property Summary

    - ### Properties inherited from interface com.thinkaurelius.titan.core.TitanRelation

      `isProperty`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdgeLabel` | `getEdgeLabel()` Returns the edge label of this edge
    `TitanVertex` | `getOtherVertex(TitanVertex vertex)` Returns the vertex at the opposite end of the edge.
    `TitanVertex` | `getVertex(com.tinkerpop.blueprints.Direction dir)` Returns the vertex for the specified direction.
    `boolean` | `isDirected()` Checks whether this relation is directed, i.e.
    `boolean` | `isUnidirected()` Checks whether this relation is unidirected, i.e.

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanRelation

      `getDirection, getProperty, getType, isEdge, isIncidentOn, isLoop, isProperty, setProperty`

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Edge

      `getLabel`

- - ### Method Detail

    - #### getEdgeLabel

          EdgeLabel getEdgeLabel()

      Returns the edge label of this edge
      Returns:
        edge label of this edge

    - #### getVertex

          TitanVertex getVertex(com.tinkerpop.blueprints.Direction dir)

      Returns the vertex for the specified direction. The direction cannot be Direction.BOTH.
      Specified by:
        `getVertex` in interface `com.tinkerpop.blueprints.Edge`
      Returns:
        the vertex for the specified direction

    - #### getOtherVertex

          TitanVertex getOtherVertex(TitanVertex vertex)

      Returns the vertex at the opposite end of the edge.
      Parameters:
        `vertex` - vertex on which this edge is incident
      Returns:
        The vertex at the opposite end of the edge.
      Throws:
        `InvalidElementException` - if the edge is not incident on the specified vertex

    - #### isDirected

          boolean isDirected()

      Checks whether this relation is directed, i.e. has a start and end vertex both of which are aware of the incident edge.
      Returns:
        true, if this relation is directed, else false.

    - #### isUnidirected

          boolean isUnidirected()

      Checks whether this relation is unidirected, i.e. only the start vertex is aware of the edge's existence. A unidirected edge is similar to a link.
      Returns:
        true, if this relation is unidirected, else false.

Copyright © 2012–2014. All rights reserved.